Page MenuHomePhabricator

Parsoid should resolve template paths before providing them to Linter
Closed, ResolvedPublic

Description

If a lint error comes from something like {{/Status}] we're recording the template as a literal /Status not <Pagename>/Status

Related Objects

Mentioned In
T136653: Parsoid doesn't recognize interwiki shortcuts in the href attribute
T163549: Only lint pages that have wikitext contentmodel
T162920: In multi-content/template-block scenarios, Linter displays "--" in the "Through a template"? column
T164006: Suggestion: API for fetching lint errors for a specific revision
T163091: Parsoid: Add API endpoint to get lint errors for arbitrary wikitext
T153107: Parsoid is generating [[Foo|Foo]] instead of [[Foo]] for some VE edits
T37247: content-holding <div> should only contain the page text
T164792: Add class mw-parser-output to Parsoid's output
T141226: Missing data-mw content in wikitext leads to html2wt exceptions
Mentioned Here
rGPARd07dfe1a79ca: Moving setting env properties closer to where they're used
T136653: Parsoid doesn't recognize interwiki shortcuts in the href attribute
T166068: German Wikipedia's main page shows significantly stale content
rGPARa182c227f09d: T141226: Fix logic when unpacking dom fragments
T37247: content-holding <div> should only contain the page text
T141226: Missing data-mw content in wikitext leads to html2wt exceptions
T153107: Parsoid is generating [[Foo|Foo]] instead of [[Foo]] for some VE edits
T162920: In multi-content/template-block scenarios, Linter displays "--" in the "Through a template"? column
T163091: Parsoid: Add API endpoint to get lint errors for arbitrary wikitext
T163549: Only lint pages that have wikitext contentmodel
T164006: Suggestion: API for fetching lint errors for a specific revision
T164792: Add class mw-parser-output to Parsoid's output

Event Timeline

Legoktm created this task.Mar 22 2017, 7:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2017, 7:44 PM
ssastry renamed this task from Linter doesn't handle non-absolutely named templates properly to Parsoid should resolve template paths before providing them to Linter.Apr 27 2017, 2:52 PM
ssastry triaged this task as Normal priority.
ssastry moved this task from Backlog to Next Up on the Parsoid board.
ssastry updated the task description. (Show Details)
ssastry moved this task from Next Up to In Progress on the Parsoid board.May 10 2017, 7:59 PM

Change 353168 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] T161151: Linter: Emit fully resolved template names

https://gerrit.wikimedia.org/r/353168

Change 353168 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T161151: Linter: Emit fully resolved template names

https://gerrit.wikimedia.org/r/353168

Arlolra closed this task as Resolved.May 12 2017, 1:45 PM
Arlolra claimed this task.
Arlolra reassigned this task from Arlolra to ssastry.
Arlolra added a subscriber: Arlolra.
Arlolra reopened this task as Open.May 25 2017, 9:07 PM

This is being reverted in prod because the patch is causing T166068

Change 355726 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] T161151: Use already resolved href when available

https://gerrit.wikimedia.org/r/355726

Change 355726 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T161151: Use already resolved href when available

https://gerrit.wikimedia.org/r/355726

Arlolra closed this task as Resolved.May 26 2017, 12:43 AM

Mentioned in SAL (#wikimedia-operations) [2017-05-30T17:28:55Z] <arlolra> Updated Parsoid to d07dfe1a (T161151, T136653)